const express = require("express");
const cors = require("cors");
const path = require("path"); // ใช้สำหรับเส้นทางไฟล์
const db = require("./config/db");

const app = express();
app.use(express.json());
app.use(cors());

// 📌 Serve Static Files จากโฟลเดอร์ `public`
app.use(express.static("public"));

// 📌 เสิร์ฟหน้า Login/Register เมื่อเปิดเว็บไซต์
app.get("/", (req, res) => {
    res.sendFile(path.join(__dirname, "public", "index.html"));
});

// 📌 Routes ของ API
app.use("/api/auth", require("./routes/auth"));
app.use("/api/reports", require("./routes/reports"));
app.use("/uploads", express.static("uploads"));

// 📌 กำหนด PORT
const PORT = process.env.PORT || 8080;
app.listen(PORT, () => console.log(`🚀 Server running on port ${PORT}`));

